## controle-vnc 2.8.1-24

=== Makefile ===
################################
# Makefile pour controle-vnc
################################

SOURCE=controle-vnc
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.1
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
controle-vnc (2.8.1-24) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [78c75a9] Fix changement mdp d'un prof par admin en mono-etab
  * [ebd612c] Retrait d'admin de la liste des profs
  * [291237b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [bb2b812] Laurent Gourvénec: Update package since “debian/eole/2.8.1-23”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 10 Feb 2025 16:01:55 +0100

controle-vnc (2.8.1-23) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [25b9ee8] Le fichier créé doit être lisible par l’initiateur de sa création.
  * [e873f93] Merge branch '2.8.0/master' into 2.8.1/master
  * [def32fc] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [9457a36] Benjamin Bohard: Update package since “debian/eole/2.8.1-22”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 24 Oct 2024 12:16:19 +0200

controle-vnc (2.8.1-22) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [af13c37] Corrections typo.
  * [da5b88e] Merge branch '2.8.0/master' into 2.8.1/master
  * [ac10722] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4c56d07] Benjamin Bohard: Update package since “debian/eole/2.8.1-21”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 14 Dec 2022 08:34:28 +0100

controle-vnc (2.8.1-21) eole-2.8.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [3d208b8] eviter l'erreur de nom présence du fichier de configuration dans le conteneur (ref #35136)
  * [f15f0ed] demander si l'on veut vraiment supprimer les devoirs (ref #35136)
  * [6b40e23] Merge branch '0.8.0/master' into 2.8.1/master
  * [67a719a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [be76b02] Philippe Caseiro: Update package since “debian/eole/2.8.1-20”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 08 Dec 2022 15:29:19 +0100

controle-vnc (2.8.1-20) eole-2.8.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [713e322] installe suppr_devoirs sur le maitre (ref #35136)
  * [f9c3dfd] Pouvoir supprimer tous les devoirs en début d'année (ref #35136)
  * [e54cabf] Merge branch '2.8.0/master' into 2.8.1/master
  * [fcadd62] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [b736b32] Philippe Caseiro: Update package since “debian/eole/2.8.1-19”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 08 Dec 2022 14:52:29 +0100

controle-vnc (2.8.1-19) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [bfad9b0] Ajout d'une journée aux comptes temporaires (pour l'arrondi)
  * [4e5d060] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [395cd22] Laurent Gourvénec: Update package since “debian/eole/2.8.1-18”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 24 Nov 2022 20:06:00 +0100

controle-vnc (2.8.1-18) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [e11d934] Suppression de la synchro lsc forcée lors de l'activation d'un compte temporaire
  * [7697c7c] Gestion de l'expiration de compte en jour depuis epoch
  * [5a0758e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [17461b5] Laurent Gourvénec: Update package since “debian/eole/2.8.1-17”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 24 Nov 2022 19:44:27 +0100

controle-vnc (2.8.1-17) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [179b5d4] Message spécifique si le groupe "invite-XXX" n'existe pas
  * [f5390d0] Nettoyage et corrections pylint
  * [97b27c0] Merge branch '2.8.0/master' into 2.8.1/master
  * [0a5f9a2] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fd35648] Joël Cuissinat: Update package since “debian/eole/2.8.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 15 Sep 2022 12:50:01 +0200

controle-vnc (2.8.1-16) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [9292a60] EOP: appels à creation-prof.py avec des guillemets autour des arguments
  * [5946d9e] En mono-etab, on considère les admins commme admin d'un étab
  * [ca40b73] Création de prof pour EOP en utilisant la scribe-backend
  * [4e0d92d] Merge branch '2.8.0/master' into 2.8.1/master
  * [c400bd4] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7939e98] Laurent Gourvénec: Update package since “debian/eole/2.8.1-15”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 17 Aug 2022 18:27:35 +0200

controle-vnc (2.8.1-15) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [a342a37]  Ajout de fontiopn pour récupérer une liste d'attributs a partir d'une liste d'utilisateurs ref #34435
  * [f09d20f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [35c24b0] Matthieu Lamalle: Update package since “debian/eole/2.8.1-14”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 07 Jul 2022 14:28:01 +0200

controle-vnc (2.8.1-14) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [a026149] Récupération de tout les étab liés à un utilisateur
  * [83d87f7] Gestion de l'action expire_prof sur un utilisateur vide
  * [1c6f6aa] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7e00ace] Laurent Gourvénec: Update package since “debian/eole/2.8.1-13”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 20 Jun 2022 11:47:59 +0200

controle-vnc (2.8.1-13) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [05fce2d] simplification de la fonction xmlrpc_remote_est_admin_etab (ref #34081)
  * [4abcf19] Merge branch '2.7.2/master' into 2.8.0/master
  * [f97d46a] Merge branch '2.8.0/master' into 2.8.1/master
  * [3e7d536] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4bc4c05] Emmanuel Garette: Update package since “debian/eole/2.8.1-12”



=== debian/control ===
Source: controle-vnc
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/controle-vnc
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/controle-vnc/repository

Package: eole-controle-vnc
Architecture: all
Depends: ${misc:Depends}, 
Description: Templates et dictionnaires pour controle-vnc
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE. 

Package: eole-controle-vnc-pkg
Section: metapackages
Architecture: all
Depends: controle-vnc-server,
         ${misc:Depends}
Provides: controle-vnc
Conflicts: controle-vnc
Replaces: controle-vnc
Description: Metapackage pour l'installation des outils Windows
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: controle-vnc-server
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python3-lxml,
         python3-twisted,
         python3-ldap,
#         python-tdb,
         eole-scribe-backend
Description: Serveur controle-vnc
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_systemd_enable:
	dh_systemd_enable -p controle-vnc-server --name=controle-vnc

.PHONY: dh_systemd_enable
